#import <Flutter/Flutter.h>
#import <Indigitall/Indigitall.h>

@interface IndigitallInboxFlutterPlugin : NSObject<GetAuthConfig>
@property (nonatomic)NSDictionary * _Nullable auth;

- (void) setAuth: (NSDictionary *)auth;
- (NSDictionary *_Nonnull)getAuthConfig;
- (void) getInboxMessagesCountWithArguments:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
- (void) getInboxWithArguments:(NSDictionary *_Nullable)params success: (void(^_Nullable)(Inbox * _Nullable inbox))onSuccess result:(FlutterResult _Nonnull)result;
- (void) getNextPageWithArguments:(NSDictionary *_Nullable)params inbox: (Inbox *_Nullable)inbox result:(FlutterResult _Nonnull)result;
- (void) massiveEditNotificationsWithSendingIdsList: (NSDictionary *_Nullable)params inbox:(Inbox *)inbox result: (FlutterResult _Nonnull)result;
- (void) getInfoFromNotificationWithSendingId: (NSDictionary *_Nullable)params inbox:(Inbox *_Nullable)inbox result: (FlutterResult _Nonnull)result;
- (void) modifyStatusFromNotificationWithSendingId: (NSDictionary *_Nullable)params inbox:(Inbox *)inbox result: (FlutterResult _Nonnull)result;

@end
