class Customer {
  /// String field name ID
  static const String _ID = "id";

  /// String field name Customer ID
  static const String _CUSTOMER_ID = "customerId";

  /// String field name Application Id
  static const String _APPLICATION_ID = "applicationId";

  /// String field name Updated At
  static const String _UPDATED_AT = "updatedAt";

  /// String field name created At
  static const String _CREATED_AT = "createdAt";

  ///id of Customer
  String? id;

  ///id of customer to request
  String? customerId;

  ///id of application
  String? applicationId;

  ///created at of customer
  String? createdAt;

  ///updated at of customer
  String? updateAt;

  ///constructor of Customer
  Customer(Map map) {
    map.forEach((key, value) {
      switch (key) {
        case _ID:
          id = value.toString();
          break;
        case _CUSTOMER_ID:
          id = value.toString();
          break;
        case _APPLICATION_ID:
          id = value.toString();
          break;
        case _UPDATED_AT:
          id = value.toString();
          break;
        case _CREATED_AT:
          id = value.toString();
          break;
      }
    });
  }

  /// Conversio customer to Map
  Map toMap() {
    Map map = Map();
    if (id != null) map[_ID] = id;
    if (customerId != null) map[_CUSTOMER_ID] = customerId;
    if (updateAt != null) map[_UPDATED_AT] = updateAt;
    if (applicationId != null) map[_APPLICATION_ID] = applicationId;
    if (createdAt != null) map[_CREATED_AT] = createdAt;
    return map;
  }
}
