//
//  IndigitallCustomerFlutterPlugin.h
//  indigitall_flutter_plugin
//
//  Created by indigitall on 15/10/21.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import <Indigitall/CustomerIndigitall.h>
#import <Indigitall/INChannel.h>

NS_ASSUME_NONNULL_BEGIN

@interface IndigitallCustomerFlutterPlugin : NSObject
+ (void) getCustomer: (FlutterResult _Nonnull)result;
+ (void) getCustomerInformation:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
+ (void) assignOrUpdateValueToCustomerFields:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
+ (void) deleteValuesFromCustomerFields:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
+ (void) link:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
+ (void) unlink:(NSDictionary *_Nullable)params result: (FlutterResult _Nonnull)result;
@end

NS_ASSUME_NONNULL_END
