class CustomerField {
  /// String field name key
  static const String _KEY = "key";

  /// String field name key
  static const String _VALUE = "value";

  ///key os customer field
  String? fieldKey;

  ///value of customerField
  String? fieldValue;

  CustomerField(Map? map) {
    map?.forEach((key, value) {
      switch (key) {
        case _KEY:
          fieldKey = value.toString();
          break;
        case _VALUE:
          fieldValue = value.toString();
          break;
      }
    });
  }

  static List<CustomerField> createArray(dynamic fields) {
    List<CustomerField> fields = [];
    List<dynamic> list = fields;
    for (int i = 0; i < list.length; i++) {
      CustomerField field = new CustomerField(null);
      list[i].forEach((key, value) {
        if (key == _KEY) field.fieldKey = value.toString();
        if (key == _VALUE) field.fieldValue = value.toString();
      });
      fields.add(field);
    }
    return fields;
  }
}
