class InAppSchema {
  /// String field name schema
  static const String SCHEMA = "schema";

  /// String field name code
  static const String _CODE = "code";

  /// String field name width
  static const String _WIDTH = "width";

  /// String field name height
  static const String _HEIGHT = "height";

  /// code of inApp
  String? code;

  /// width of inApp
  int? width;

  /// height of inApp
  int? height;

  /// Construcotr of InAppSchema
  InAppSchema(Map map) {
    if (map[_WIDTH] != null) width = int.parse(map[_WIDTH].toString());
    if (map[_CODE] != null) code = map[_CODE].toString();
    if (map[_HEIGHT] != null) height = int.parse(map[_HEIGHT].toString());
  }

  /// Conversion to Map
  Map toMap() {
    Map map = Map();
    if (width != null) map[_WIDTH] = width;
    if (code != null) map[_CODE] = code;
    if (height != null) map[_HEIGHT] = height;
    return map;
  }
}
