class InboxCounter {
  /// String field name click
  static const CLICK = "click";

  /// String field name sent
  static const SENT = "sent";

  /// String field name deleted
  static const DELETED = "deleted";

  /// String field name unread
  static const UNREAD = "unread";

  /// counter of notifications clicked
  var click = 0;

  /// counter of notifications sent
  var sent = 0;

  /// counter of notifications deleted
  var deleted = 0;

  /// counter of notifications unread
  Unread? unread;

  /// Construcotr of Inbox Counters
  ///
  /// Param Map
  InboxCounter(Map map) {
    map.forEach((key, value) {
      if (key == CLICK) click = int.parse(value.toString());
      if (key == SENT) sent = int.parse(value.toString());
      if (key == DELETED) deleted = int.parse(value.toString());
      if (key == UNREAD) unread = Unread(value);
    });
  }
}

class Unread {
  /// string field name of count
  static const COUNT = "count";

  /// string fieldn name of last access
  static const LAST_ACCESS = "lastAccess";

  /// counter of notifications
  int count = 0;

  /// lasta access of counter of inbox
  String? lastAccess;

  ///Constructor of Unread counters
  ///
  /// param with Map
  Unread(Map map) {
    map.forEach((key, value) {
      if (key == COUNT) count = int.parse(value.toString());
      if (key == LAST_ACCESS) lastAccess = value.toString();
    });
  }
}
